Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000034SpeedFanFan controlpublic2004-07-08 15:312004-12-22 17:05
Reportermikey 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.13 
Target VersionFixed in Version4.19 
Summary0000034: SpeedFan looses control of fan from hibernation..
DescriptionSpeedFan looses control of fan(speed) from hibernation... as the speed is auto controlled the fan doesnt actually change at all...
Steps To Reproduce? come back from hibernate ?
TagsNo tags attached.
Motherboard Model
Video Card Model
Attached Files

- Relationships
related to 0000076resolvedalfredo After resuming from suspend fans are not controlled 

-  Notes
(0000112)
alfredo (manager)
2004-07-08 15:52

Do you mean that you've got a BIOS that, as a default, sets your fans to be automatically regulated and that SF is no longer able to set their speeds?
Which hardware have you got?
You might add here a SEND REPORT or send it directly to me.
(0000113)
mikey (reporter)
2004-07-08 16:03

hmm... Im guessing that my bios that does that?? but the prog looses full speed control over all fans..
I have an Asus A7V8X-X...
(if possible with my mobo,when i set my pc to suspend for some reason it keeps all the fans running still.. would anyone be able to answer that?)
(0000114)
alfredo (manager)
2004-07-08 16:10

Which is your hardware monitoring chip?
(0000115)
mikey (reporter)
2004-07-08 16:20

um.. i dont kno?
(0000116)
alfredo (manager)
2004-07-08 16:31

The main SpeedFan window has got a small text box which contains these info :-)
(0000117)
mikey (reporter)
2004-07-08 17:02

Readings:
Scanning ISA BUS at $0290...
IT8712F/IT8705F found on ISA at $290
SuperIO Chip=IT8712F
Scanning VIA SMBus at $E800...
SMART Enabled for drive 0
Found WDC WD400EB-00CPF0 (39.1GB)

DimInfo:
Scanning SMBus at $E800...
Decoding DIMM #0
 Memory type is DDR
 Module Rows : 1
 Levels : 2.5V
 Parity : NO PARITY
 Refresh Rate : 7.8us
 Total Size : 256MB
Decoding DIMM #1
 Memory type is DDR
 Module Rows : 1
 Levels : 2.5V
 Parity : NO PARITY
 Refresh Rate : 7.8us
 Total Size : 256MB
Decoding DIMM 0000002
 Memory type is DDR
 Module Rows : 1
 Levels : 2.5V
 Parity : NO PARITY
 Refresh Rate : 7.8us
 Total Size : 128MB

ChipSet: VIA VT8235

I also sent you a report under the name "a7v8x-x (Mikey)"
Motherboard model : a7v8x-x (Mikey) -- Under Send Report..
(0000118)
alfredo (manager)
2004-07-08 19:23

I can't find your SEND REPORT. Perhaps you entered an invalid email address.
Anyway: your hardware monitoring chip is one of those that are initialized by SpeedFan. I will reinitialize it after RESUME.
(0000119)
mikey (reporter)
2004-07-08 20:33
edited on: 2004-08-08 10:26

Ok I resent it.
Email: Lilmik [at] comcast.net
Mobo: a7v8x-x (Mikey)
and all rest is sent in report..

edited on: 08-08-04 10:26
(0000224)
flugscheibenwerfer (reporter)
2004-08-06 21:10

I have exactly the same problem (same motherboard, Windows 2000) when resuming from hibernate or standby mode, speedfan doesn't control the speeds anymore. I still acts as if it does but nothing happens.
(0000229)
alfredo (manager)
2004-08-08 10:27

I'm working on this issue. The problem is that the BIOS is completely resetting the registers in the hardware monitoring chip. I need to rewrite some code to be able to reapply changes to the chip after resume.
(0000496)
alfredo (manager)
2004-12-03 12:08

I'm working on this issue.
Would you like to try the latest beta?
(0000500)
alfredo (manager)
2004-12-03 13:41

Did you receive the beta?
(0000501)
flugscheibenwerfer (reporter)
2004-12-03 13:57

Yeah, I did, I already sent you a "Send report". It doesn't seem to work. The whole setting thing has a really strange bahaviour. For example: if I set PWM1 to software controlled, the fan speed goes down but PWM1 remains unchanged to ON/OFF. If I then set PWM2 to Software Controlled and then back to ON/OFF it gets set to "Smart Guardian". If I then click on PWM1 again, the speed goes up again and so on... can't really see the logic. Also, as I wrote in the report, after coming back from resume I can't set PWM2 to Software Controlled anymore. Then if I play with it a little, I can again but nothing happens. Eventually after setting all of them do different values, the speed goes down but immediately goes up again. It's all really strange...
(0000502)
alfredo (manager)
2004-12-03 14:26

There was an error when setting the registers.
A new beta is in your mailbox :-)
(0000508)
flugscheibenwerfer (reporter)
2004-12-03 17:29

New status reports sent

- Issue History
Date Modified Username Field Change
2004-07-08 15:31 mikey New Issue
2004-07-08 15:52 alfredo Note Added: 0000112
2004-07-08 15:52 alfredo Status assigned => acknowledged
2004-07-08 16:03 mikey Note Added: 0000113
2004-07-08 16:10 alfredo Note Added: 0000114
2004-07-08 16:20 mikey Note Added: 0000115
2004-07-08 16:31 alfredo Note Added: 0000116
2004-07-08 17:02 mikey Note Added: 0000117
2004-07-08 19:23 alfredo Note Added: 0000118
2004-07-08 20:33 mikey Note Added: 0000119
2004-08-06 21:10 flugscheibenwerfer Note Added: 0000224
2004-08-08 10:26 alfredo Note Edited: 0000119
2004-08-08 10:27 alfredo Note Added: 0000229
2004-09-17 00:34 alfredo Relationship added related to 0000076
2004-12-03 12:08 alfredo Note Added: 0000496
2004-12-03 13:41 alfredo Note Added: 0000500
2004-12-03 13:57 flugscheibenwerfer Note Added: 0000501
2004-12-03 14:26 alfredo Note Added: 0000502
2004-12-03 17:29 flugscheibenwerfer Note Added: 0000508
2004-12-22 17:05 alfredo Status acknowledged => resolved
2004-12-22 17:05 alfredo Resolution open => fixed
2004-12-22 17:05 alfredo Fixed in Version => 4.19


Copyright © 2000 - 2018 MantisBT Team
Time: 0.2888 seconds.
memory usage: 8,157 KB
Powered by Mantis Bugtracker